import React from 'react';
import { useSelector, useDispatch } from 'react-redux';
import { hideNotification } from '../store/notification.slice.js';
import Snackbar from './Snackbar.jsx';

const NotificationSnackbar = () => {
    const notification = useSelector((state) => state.notification);
    const dispatch = useDispatch();

    if (!notification) return null; // 没有通知时不渲染

    return (
        <Snackbar
            type={notification.type}
            message={notification.message}
            duration={notification.duration}
            onClose={() => dispatch(hideNotification())}
        />
    );
};

export default NotificationSnackbar;
