import React, { useEffect } from 'react';
import { useSelector } from 'react-redux';
import { useNavigate } from 'react-router-dom';
import PendingRequests from './components/PendingRequests';
import UserPermissions from './components/UserPermissions';
import './Permissions.css';

export default function PermissionsPage() {
    const { user } = useSelector((state) => state.auth);


    return (
        <div className='permissions-container'>
            <div className='permissions-section mb-4 container my-4'>
                <PendingRequests />
            </div>
            {user && user.role === 'admin' && (
                <div className='permissions-section container my-4'>
                    <UserPermissions />
                </div>
            )}
        </div>
    );
}
